Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreConfiguration

Contains the methods required to ensure that the OpenIddict server configuration is valid.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreConfiguration

##### Implements

IConfigureOptions<OpenIddictServerOptions>
IPostConfigureOptions<AuthenticationOptions>
IPostConfigureOptions<OpenIddictServerAspNetCoreOptions>

###### Namespace: OpenIddict.Server.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerAspNetCoreConfiguration : IConfigureOptions<AuthenticationOptions>, IConfigureOptions<OpenIddictServerOptions>, IPostConfigureOptions<AuthenticationOptions>, IPostConfigureOptions<OpenIddictServerAspNetCoreOptions>

### Methods

#### Configure(AuthenticationOptions)

Registers the OpenIddict server handler in the global authentication options.

##### Declaration

    public void Configure(AuthenticationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
AuthenticationOptions | options | The options instance to initialize.

#### Configure(OpenIddictServerOptions)

##### Declaration

    public void Configure(OpenIddictServerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerOptions | options |

#### PostConfigure(String, AuthenticationOptions)

Ensures that the authentication configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, AuthenticationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
AuthenticationOptions | options | The options instance to initialize.

#### PostConfigure(String, OpenIddictServerAspNetCoreOptions)

Populates the default OpenIddict server ASP.NET Core options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictServerAspNetCoreOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictServerAspNetCoreOptions | options | The options instance to initialize.

### Implements

IConfigureOptions<>
IPostConfigureOptions<>
IPostConfigureOptions<>